<?php
/**
 * 右侧浮动数据层
 *
 * @author Wzb
 *        
 */
class DAL_Float extends DAL_Base {
	/**
	 * 添加一个右侧浮动
	 *
	 * @param array $theArray
	 * @return int
	 */
	public static function add($theArray) {
		return parent::_add ( $theArray, 3 );
	}
	
	/**
	 * 修改一个右侧浮动
	 *
	 * @param array $theArray
	 * @return int
	 */
	public static function edit($theArray) {
		return parent::_edit ( $theArray, 3 );
	}
	
	/**
	 * 删除指定个右侧浮动
	 *
	 * @param string $idList 多个必须用-分割开
	 * @return bool
	 */
	public static function delete($idList) {
		return parent::_delete ( $idList, 3 );
	}
	
	/**
	 * 获取一个右侧浮动
	 *
	 * @param int $id
	 * @param string $code 需要的字段 默认值：*
	 * @return array
	 */
	public static function getOne($id, $code = '*') {
		return parent::_getOne ( $id, 3, $code );
	}
	
	/**
	 * 获取所有右侧浮动
	 *
	 * @param string $code 需要的字段 默认值：*
	 * @param array $limitArr 包含两项值limit数组 默认值：array('begin'=>0,'num'=>0)
	 * @return array
	 */
	public static function getAllList($code = '*', $limitArr = array('begin'=>0,'num'=>0)) {
		return self::_getAllList ( 3, $limitArr, "serialNum asc", $code );
	}
}
?>